@media only screen and (min-width: 600px) {
    .vacancies .cols .col {
        margin: 0 auto!important;
    }
}

.vacancy-wrapper {
    filter: var(--filter-shadow);
}

.vacancy {
    background-color: var(--white-color);
    margin-top: 20px;
    padding: 30px;
    display: flex;
    align-items: center;
    transition: transform 500ms ease-in-out;
    position: relative;

    mask: linear-gradient(white, white) left no-repeat, url('../images/rounded-shapes/bcda.svg') right no-repeat;
    -webkit-mask: linear-gradient(white, white) left no-repeat, url('../images/rounded-shapes/bcda.svg') right no-repeat;
    mask-size: calc(100% - 29px) 100%, 30px 100%;
    -webkit-mask-size: calc(100% - 29px) 100%, 30px 100%;

    -webkit-backface-visibility: hidden; /* add to fix webkit bug jitter */
    -webkit-transform: perspective(1000px); /* add to fix webkit bug jitter */
}


.vacancy:hover {
    transform: scale(1.05);
    transition-duration: 150ms;
}

.vacancy-title {
    font-size: 20px;
    line-height: 24px;
    color: var(--text-color);
    font-weight: 700;
    margin-bottom: 5px;
}

.vacancy-description {
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 10px;
    padding-right: 30px;
}

.vacancy-footer {
    display: flex;
    font-size: 10px;
}

.vacancy-footer span {
    display: flex;
    white-space: nowrap;
}

.vacancy-footer-buttons-top {
    margin-bottom: 20px;
}

.vacancy-footer-buttons-top .button + .button {
    margin-left: 10px;
}

.vacancy-footer span img {
    max-width: 12px;
    max-height: 12px;
    margin-right: 5px;
}

.vacancy-footer span:not(:last-of-type) {
    margin-right: 20px;
}

.vacancy-link {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    font-size: 18px;
    padding-right: 30px;
    text-decoration: none;
    color: var(--primary-color);
}

#vacancy-header {
    margin: 0 0 20px 0;
    display: flex;
    align-items: center;
}

#vacancy-header span,
.vacancy-footerspan {
    display: flex;
    align-items: center;
}

#vacancy-header span img {
    max-width: 16px;
    max-height: 16px;
}

#vacancy-header span i,
#vacancy-header span img,
.vacancy-footer span i {
    margin-right: 5px;
}

#vacancy-header span:not(:last-of-type),
.vacancy-footer span:not(:last-of-type){
    margin-right: 20px;
}

#vacancy-title {
    margin: 0 0 20px 0;
}

#vacancy-text {
    margin-bottom: 40px;
    font-size: 16px;
    line-height: 25px;
}

#vacancy-text a {
    color: inherit;
}
#vacancy-text a:hover {
    text-decoration: none;
}

#vacancy-requirements ul li {
    margin: 0 0 1em 0;
}

#vacancy-footer {
    margin-top: 60px;
}

#vacancy-footer > a {
    margin-right: 15px;
}

#vacancy-footer > p {
    font-size: 16px;
    line-height: 25px;
    margin-bottom: 30px;
}

.post-type-archive-vacancies form {
    margin-bottom: 50px;
}

.post-type-archive-vacancies form h2 {
    text-align: center;
}

.post-type-archive-vacancies iframe {
    margin: 0 auto;
    display: block;
}

.post-type-archive-vacancies section:last-of-type {
    padding-bottom: 0;
}

#vacancy-footer > a:last-of-type {
    margin-left: 12px;
}

#vacancy-form {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

#vacancy-form:not(.show){
    display: none;
}

#vacancy-form-wrapper {
    filter: var(--filter-shadow);
}

#vacancy-form-inner {
    position: relative;

    background-color: var(--white-color);
    margin-top: 20px;
    padding: 30px;
    display: flex;
    align-items: center;
    transition: transform 500ms ease-in-out;
    position: relative;
    mask: linear-gradient(white, white) left no-repeat, url(../images/rounded-shapes/bcda.svg) right no-repeat;
    -webkit-mask: linear-gradient(white, white) left no-repeat, url(../images/rounded-shapes/bcda.svg) right no-repeat;
    mask-size: calc(100% - 29px) 100%, 30px 100%;
    -webkit-mask-size: calc(100% - 29px) 100%, 30px 100%;
    -webkit-backface-visibility: hidden;
    -webkit-transform: perspective(1000px);
}

#vacancy-form-close {
    position: absolute;
    right: 0;
    top: 20px;
    z-index: 2;
    cursor: pointer;
    font-size: 24px;
}

#vacancy-form .form-row input:not([type="submit"]) {
    border: 1px solid var(--text-color);
}


#vacancy-form .form-row label {
    display: block;
    font-size: 14px;
    line-height: 26px;
    font-weight: 500;
    margin-bottom: 5px;
}
